/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Formularios;

<<<<<<< HEAD
import Classes.Dados;
import javax.swing.JOptionPane;

=======
>>>>>>> 92b3d845e987cdc89ae690e7ce1a4f39876f56bf
/**
 *
 * @author PICHAU
 */
public class frmUsuarios extends javax.swing.JInternalFrame {

<<<<<<< HEAD
    private Dados clsdados;
    private int usuarioatual=0;
    private boolean cmdNovo=false;
    private DefaultTableModel Usertable;
    
    public void setDados(Dados clsdados){
        this.clsdados = clsdados;
    }
=======
    /**
     * Creates new form frmUsuarios
     */
>>>>>>> 92b3d845e987cdc89ae690e7ce1a4f39876f56bf
    public frmUsuarios() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

<<<<<<< HEAD
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        txtcodusuario = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        txtnome = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        txtsobrenome = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        txtsenha = new javax.swing.JPasswordField();
        jLabel5 = new javax.swing.JLabel();
        txtcomfirmarsenha = new javax.swing.JPasswordField();
        cmdnovo = new javax.swing.JButton();
        cmdnovo1 = new javax.swing.JButton();
        cmdsalvar = new javax.swing.JButton();
        cmdpesquisar = new javax.swing.JButton();
        cmdeditar1 = new javax.swing.JButton();
        cmdultimo = new javax.swing.JButton();
        cmdanterior = new javax.swing.JButton();
        cmdprimeiro = new javax.swing.JButton();
        cmdcancelar1 = new javax.swing.JButton();
        cmdproximo = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        Mtable = new javax.swing.JTable();
        jLabel6 = new javax.swing.JLabel();
=======
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        txtcodusuario = new javax.swing.JTextField();
        txtnome = new javax.swing.JTextField();
        txtsobrenome = new javax.swing.JTextField();
        txtcomfirmarsenha = new javax.swing.JTextField();
        txtsenha = new javax.swing.JTextField();
        cmdreiniciar = new javax.swing.JButton();
        cmdvoltar = new javax.swing.JButton();
        cmdcomfirmar = new javax.swing.JButton();
>>>>>>> 92b3d845e987cdc89ae690e7ce1a4f39876f56bf

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Cadastro De Usuarios");
<<<<<<< HEAD
        addInternalFrameListener(new javax.swing.event.InternalFrameListener() {
            public void internalFrameActivated(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameClosed(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameClosing(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameDeactivated(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameDeiconified(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameIconified(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameOpened(javax.swing.event.InternalFrameEvent evt) {
                formInternalFrameOpened(evt);
            }
        });

        jPanel1.setBackground(new java.awt.Color(255, 255, 0));

        jLabel1.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel1.setText("Cad Usuario: ");

        jLabel2.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel2.setText("Nome: ");

        jLabel3.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel3.setText("Sobrenome: ");

        jLabel4.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel4.setText("Senha: ");

        jLabel5.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel5.setText("Comfirmar Senha");

        cmdnovo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/delete_4219.png"))); // NOI18N
        cmdnovo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdnovoActionPerformed(evt);
            }
        });

        cmdnovo1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/NovoUsuario.png"))); // NOI18N
        cmdnovo1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdnovo1ActionPerformed(evt);
            }
        });

        cmdsalvar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Salvar.png"))); // NOI18N
        cmdsalvar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdsalvarActionPerformed(evt);
            }
        });

        cmdpesquisar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Pesquisar.png"))); // NOI18N
        cmdpesquisar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdpesquisarActionPerformed(evt);
            }
        });

        cmdeditar1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Editar.png"))); // NOI18N
        cmdeditar1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdeditar1ActionPerformed(evt);
            }
        });

        cmdultimo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Ultimo.png"))); // NOI18N
        cmdultimo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdultimoActionPerformed(evt);
            }
        });

        cmdanterior.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Anterior.png"))); // NOI18N
        cmdanterior.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdanteriorActionPerformed(evt);
            }
        });

        cmdprimeiro.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Primeiro.png"))); // NOI18N
        cmdprimeiro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdprimeiroActionPerformed(evt);
            }
        });

        cmdcancelar1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Cancelar.png"))); // NOI18N
        cmdcancelar1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdcancelar1ActionPerformed(evt);
            }
        });

        cmdproximo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Proximo.png"))); // NOI18N
        cmdproximo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdproximoActionPerformed(evt);
            }
        });

        Mtable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null}
            },
            new String [] {
                "Cod Usuario", "Nome", "Sobrenome"
            }
        ));
        jScrollPane1.setViewportView(Mtable);

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/burger_food_20614.png"))); // NOI18N

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jScrollPane1))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(cmdprimeiro)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(cmdanterior)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(cmdproximo)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(cmdultimo)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(cmdcancelar1)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(cmdeditar1)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(cmdpesquisar)
                                .addGap(18, 18, 18)
                                .addComponent(cmdsalvar))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addContainerGap()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel1Layout.createSequentialGroup()
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                            .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 177, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jLabel5))
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addGroup(jPanel1Layout.createSequentialGroup()
                                                .addGap(18, 18, 18)
                                                .addComponent(txtcomfirmarsenha))
                                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                                                .addGap(18, 18, 18)
                                                .addComponent(txtsenha, javax.swing.GroupLayout.PREFERRED_SIZE, 400, javax.swing.GroupLayout.PREFERRED_SIZE))))
                                    .addComponent(txtsobrenome, javax.swing.GroupLayout.PREFERRED_SIZE, 400, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                            .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                            .addComponent(jLabel3, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(txtnome, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 400, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(txtcodusuario, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 400, javax.swing.GroupLayout.PREFERRED_SIZE))))))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(cmdnovo1)
                                .addGap(18, 18, 18)
                                .addComponent(cmdnovo))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(11, 11, 11)
                                .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 152, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel1)
                            .addComponent(txtcodusuario, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel2)
                            .addComponent(txtnome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(24, 24, 24)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(txtsobrenome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel3))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel4)
                            .addComponent(txtsenha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 155, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(txtcomfirmarsenha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(cmdnovo1)
                    .addComponent(cmdnovo)
                    .addComponent(cmdeditar1)
                    .addComponent(cmdultimo)
                    .addComponent(cmdcancelar1)
                    .addComponent(cmdproximo)
                    .addComponent(cmdanterior)
                    .addComponent(cmdprimeiro)
                    .addComponent(cmdpesquisar)
                    .addComponent(cmdsalvar))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 26, Short.MAX_VALUE)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 363, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(53, 53, 53))
        );

=======

        jLabel1.setText("Cad Usuario: ");

        jLabel2.setText("Nome: ");

        jLabel3.setText("Sobrenome: ");

        jLabel4.setText("Senha: ");

        jLabel5.setText("Comfirmar Senha");

        cmdreiniciar.setText("Reiniciar");
        cmdreiniciar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdreiniciarActionPerformed(evt);
            }
        });

        cmdvoltar.setText("Voltar");
        cmdvoltar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdvoltarActionPerformed(evt);
            }
        });

        cmdcomfirmar.setText("Comfirmar");
        cmdcomfirmar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdcomfirmarActionPerformed(evt);
            }
        });

>>>>>>> 92b3d845e987cdc89ae690e7ce1a4f39876f56bf
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
<<<<<<< HEAD
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
=======
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 124, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(txtcodusuario, javax.swing.GroupLayout.PREFERRED_SIZE, 228, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                .addGroup(layout.createSequentialGroup()
                                    .addComponent(jLabel4, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                    .addComponent(txtsenha, javax.swing.GroupLayout.PREFERRED_SIZE, 228, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                                    .addComponent(jLabel5)
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                    .addComponent(txtcomfirmarsenha, javax.swing.GroupLayout.PREFERRED_SIZE, 228, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                        .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .addGap(6, 6, 6)
                                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                        .addComponent(txtsobrenome, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 228, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addComponent(txtnome, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 228, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(cmdvoltar)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 141, Short.MAX_VALUE)
                        .addComponent(cmdreiniciar)
                        .addGap(142, 142, 142)
                        .addComponent(cmdcomfirmar)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(txtcodusuario, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(30, 30, 30)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(txtnome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(37, 37, 37)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(txtsobrenome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(34, 34, 34)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(txtsenha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(37, 37, 37)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(txtcomfirmarsenha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 74, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(cmdreiniciar)
                    .addComponent(cmdvoltar)
                    .addComponent(cmdcomfirmar))
                .addGap(55, 55, 55))
>>>>>>> 92b3d845e987cdc89ae690e7ce1a4f39876f56bf
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
<<<<<<< HEAD
    }
    private void formInternalFrameOpened(javax.swing.event.InternalFrameEvent evt) {//GEN-FIRST:event_formInternalFrameOpened
 
    }//GEN-LAST:event_formInternalFrameOpened

    private void cmdproximoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdproximoActionPerformed
        // Esse é o codigo do botão Proximo
        usuarioatual = clsdados.NUsuarios();
        if (usuarioatual == clsdados.NUsuarios()){
            usuarioatual=0;
        }

    }//GEN-LAST:event_cmdproximoActionPerformed

    private void cmdcancelar1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdcancelar1ActionPerformed
        // Esse é o codigo do botão Cancelar
        cmdsalvar.setEnabled(false);
        cmdultimo.setEnabled(false);

        txtcodusuario.setEnabled(false);
        txtnome.setEnabled(false);
        txtsobrenome.setEnabled(false);
        txtsenha.setEnabled(false);
        txtcomfirmarsenha.setEnabled(false);

        // cmdNovo=true;
    }//GEN-LAST:event_cmdcancelar1ActionPerformed

    private void cmdprimeiroActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdprimeiroActionPerformed
        // Esse é o codigo do botão Primeiro 
        usuarioatual = 0;

    }//GEN-LAST:event_cmdprimeiroActionPerformed

    private void cmdanteriorActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdanteriorActionPerformed
        // Esse é o codigo do botão anterior
        usuarioatual --;
        if(usuarioatual == -1){
            usuarioatual = clsdados.NUsuarios()-1;
        }
        visualizarCadastros();
    }//GEN-LAST:event_cmdanteriorActionPerformed

    private void cmdultimoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdultimoActionPerformed
        //Esse é o codigo do botão de ultimo
        usuarioatual = clsdados.NUsuarios();
        visualizarCadastros();

    }//GEN-LAST:event_cmdultimoActionPerformed

    private void cmdeditar1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdeditar1ActionPerformed
        // Esse é o codigo do botão Editar
    }//GEN-LAST:event_cmdeditar1ActionPerformed

    private void cmdpesquisarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdpesquisarActionPerformed
        // Esse é o codigo do botão Pesquisar
    }//GEN-LAST:event_cmdpesquisarActionPerformed

    private void cmdsalvarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdsalvarActionPerformed
        //Esse é o codigo do botão salvar

        if (txtcodusuario.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo codigo do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        if (txtcodusuario.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo codigo do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        if (txtnome.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo nome do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        if (txtsobrenome.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo Sobre Nome do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }

        String SSenha= new String (txtsenha.getPassword());
        String comfirmarsenha= new String(txtcomfirmarsenha.getPassword());

        if (SSenha.equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo Senha do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        if (comfirmarsenha.equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo confirmar a senha do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        if (!SSenha.equals(comfirmarsenha)) {
            JOptionPane.showMessageDialog(rootPane, "O Campo de Confirmar a senha deve ser igual a senha!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        int poslinha= clsdados.LinhaUsuario(txtcodusuario.getText());
        if (cmdNovo) {
            if (poslinha != -1) {
                JOptionPane.showMessageDialog(rootPane, "Este cadastro ja existe");
                txtcodusuario.requestFocusInWindow();
                return;

            }

        }

        else{
            if (poslinha != -1) {
                JOptionPane.showMessageDialog(rootPane, "Este cadastro não existe ainda");
                txtcodusuario.requestFocusInWindow();
                return;

            }

            Usuario MUsuario = new Usuario(txtcodusuario.getText(), txtnome.getText(), txtsobrenome.getText(), SSenha);

            String msg;

            if (cmdNovo) {
                msg= clsdados.EditarUsuario(MUsuario, poslinha);

            }else{
                msg= clsdados.EditarUsuario(MUsuario,poslinha);
            }

            JOptionPane.showMessageDialog(rootPane, msg);

            CarregarTable();
            //Esse é o codigo do botão de salvar

            cmdsalvar.setEnabled(false);
            cmdultimo.setEnabled(false);

            txtcodusuario.setEnabled(false);
            txtnome.setEnabled(false);
            txtsobrenome.setEnabled(false);
            txtsenha.setEnabled(false);
            txtcomfirmarsenha.setEnabled(false);

    }//GEN-LAST:event_cmdsalvarActionPerformed

    private void cmdnovo1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdnovo1ActionPerformed
        // Esse é o codigo do botão Novo Usuario

        CarregarTable();

    }//GEN-LAST:event_cmdnovo1ActionPerformed

    private void cmdnovoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdnovoActionPerformed
        // Este é o codigo do botão deletar

        int Del = JOptionPane.showConfirmDialog(rootPane, "Tem certeza que deseja deletar este cadastro?");
        if (Del !=0) {
            return;

        }
        String msg;
        msg = clsdados.DeletarUsuario(usuarioatual);
        JOptionPane.showMessageDialog(rootPane, ui);
        usuarioatual = 0;
        visualizarCadastros();

    }//GEN-LAST:event_cmdnovoActionPerformed
private void visualizarCadastros(){
        txtcodusuario.setText(clsdados.getUsuarios()[usuarioatual].getCodusuario());
        txtnome.setText(clsdados.getUsuarios()[usuarioatual].getNome());
        txtsobrenome.setText(clsdados.getUsuarios()[usuarioatual].getSobrenome());
        txtsenha.setText(clsdados.getUsuarios()[usuarioatual].getSenha());
        txtcomfirmarsenha.setText(clsdados.getUsuarios()[usuarioatual].getCodusuario());
    
}
private void CarregarTable(){
 String titulocabecalho[]={"Codido do usuario ","Nome","Sobre Nome"};
 String RegCadastro[]= new String[4];
 Usertable=new DefaultTableModel(null, titulocabecalho);
    for (int i = 0; i < clsdados.NUsuarios(); i++) {
        RegCadastro[0]=clsdados getUsuarios()[i].getCodusuario();
        RegCadastro[1]=clsdados getUsuarios()[i].getNome();
        RegCadastro[2]=clsdados getUsuarios()[i].getSobrenome();
        
        Usertable.addRow(RegCadastro);
    }
    Mtable.setModel(usertable);
}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTable Mtable;
    private javax.swing.JButton cmdanterior;
    private javax.swing.JButton cmdcancelar1;
    private javax.swing.JButton cmdeditar1;
    private javax.swing.JButton cmdnovo;
    private javax.swing.JButton cmdnovo1;
    private javax.swing.JButton cmdpesquisar;
    private javax.swing.JButton cmdprimeiro;
    private javax.swing.JButton cmdproximo;
    private javax.swing.JButton cmdsalvar;
    private javax.swing.JButton cmdultimo;
=======

    private void cmdreiniciarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdreiniciarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cmdreiniciarActionPerformed

    private void cmdvoltarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdvoltarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cmdvoltarActionPerformed

    private void cmdcomfirmarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdcomfirmarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cmdcomfirmarActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton cmdcomfirmar;
    private javax.swing.JButton cmdreiniciar;
    private javax.swing.JButton cmdvoltar;
>>>>>>> 92b3d845e987cdc89ae690e7ce1a4f39876f56bf
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
<<<<<<< HEAD
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextField txtcodusuario;
    private javax.swing.JPasswordField txtcomfirmarsenha;
    private javax.swing.JTextField txtnome;
    private javax.swing.JPasswordField txtsenha;
=======
    private javax.swing.JTextField txtcodusuario;
    private javax.swing.JTextField txtcomfirmarsenha;
    private javax.swing.JTextField txtnome;
    private javax.swing.JTextField txtsenha;
>>>>>>> 92b3d845e987cdc89ae690e7ce1a4f39876f56bf
    private javax.swing.JTextField txtsobrenome;
    // End of variables declaration//GEN-END:variables
}
